Attribute VB_Name = "Logic"
Private Declare Function GetTempPath Lib "kernel32" Alias _
"GetTempPathA" (ByVal nBufferLength As Long, ByVal _
lpBuffer As String) As Long

Const MAX_PATH = 260

Public Function GetTmpPath()

    Dim sFolder As String ' Name of the folder
    Dim lRet As Long ' Return Value
    
    sFolder = String(MAX_PATH, 0)
    lRet = GetTempPath(MAX_PATH, sFolder)
    
    If lRet <> 0 Then
        GetTmpPath = Left(sFolder, InStr(sFolder, _
        Chr(0)) - 1)
    Else
        GetTmpPath = vbNullString
    End If

End Function

Public Sub Display_Address(clear_Screen As Boolean)
    With CSWIN
        If clear_Screen Then
            .RightMiddle ""
        Else
            .RightMiddle " "
            .RightMiddle "---------------------------"
        End If
        
        If Len(Alltrim(.GetVar("xshipto1"))) > 0 Then
            .RightMiddle Alltrim(.GetVar("xshipto1"))
        End If
        If Len(Alltrim(.GetVar("xshipto2"))) > 0 Then
            .RightMiddle Alltrim(.GetVar("xshipto2"))
        End If
        If Len(Alltrim(.GetVar("xshipto3"))) > 0 Then
            .RightMiddle Alltrim(CSWIN.GetVar("xshipto3"))
        End If
        If Len(Alltrim(.GetVar("xshipto4"))) > 0 Then
            .RightMiddle Alltrim(.GetVar("xshipto4"))
        End If
        If Len(Alltrim(.GetVar("xshipto5"))) > 0 Then
            .RightMiddle Alltrim(.GetVar("xshipto5"))
        End If
        If Len(Alltrim(.GetVar("xshipto6"))) > 0 Then
            .RightMiddle Alltrim(.GetVar("xshipto6"))
        End If
        If Len(Alltrim(.GetVar("xshipto7"))) > 0 Then
            .RightMiddle Alltrim(CSWIN.GetVar("xshipto7"))
        End If
        If Len(Alltrim(.GetVar("xzip"))) > 0 Then
            .RightMiddle Alltrim(.GetVar("xzip"))
        End If
        
        If Val(.GetVar("xunit")) > 0 Then
            .RightMiddle "Cost of Goods: $" & Format(Trim$(.GetVar("xunit")), "###,###,###.00")
        End If
        
        'If v_sngInsAmount > 0 Then
        '    .RightMiddle "Carrier DV: $" & Format(Trim$(v_sngInsAmount), "###,###,###.00")
        'End If
    
    End With
    
End Sub

Public Sub log_Write(data As String)
    kiDebug data, CSWIN.ShipDir & "logic\debug\" & ComputerName & ".log"
End Sub

Public Function Get_Country_Name_from_ISO(sISOCode As String, sIntcode As String) As String
    
    Dim kdvISODbf As KiDataView
    Dim sCountryName As String
    
    If Left(sIntcode, 1) = "F" Then
        Set kdvISODbf = DbfLookup(CSWIN.ShipDir & "FDX\FDX_ISO.fil", "ISO_CODE = '" & Alltrim(sISOCode) & "'", True, "COUNTRY", 1)
    Else
        Set kdvISODbf = DbfLookup(CSWIN.ShipDir & "UPS\UPS_ISO.fil", "ISO_CODE = '" & Alltrim(sISOCode) & "'", True, "COUNTRY", 1)
    End If
    
    sCountryName = Alltrim(kdvISODbf("COUNTRY"))
    
    Set kdvISODbf = Nothing
    
    Get_Country_Name_from_ISO = sCountryName
End Function

Public Function Get_Country_ISO_from_Name(sCountryNameCode As String, sIntcode As String) As String

    Dim kdvISODbf As KiDataView
    Dim sCountryName As String

    If Left(sIntcode, 1) = "F" Then
        Set kdvISODbf = DbfLookup(CSWIN.ShipDir & "FDX\FDX_ISO.fil", "COUNTRY = '" & Alltrim(sISOCode) & "'", True, "ISO_CODE", 1)
    Else
        Set kdvISODbf = DbfLookup(CSWIN.ShipDir & "UPS\UPS_ISO.fil", "COUNTRY = '" & Alltrim(sISOCode) & "'", True, "ISO_CODE", 1)
    End If

    sCountryISO = Alltrim(kdvISODbf("ISO_CODE"))
    
    Set kdvUPSISODbf = Nothing
    
    Get_Country_ISO_from_Name = sCountryISO
End Function

Public Sub Box_Weight()

    Dim kdvBoxDims As KiDataView
    Dim iBoxCount As Integer
    For iBoxCount = 2 To 4
        XC1 = ""
        While Val(XC1) <= 0
        
            DlgCreate "Enter weight for box #" & Alltrim(Str(iBoxCount)), 11, 30
            
            DlgText 1.5, 4, "Weight"
            DlgEdit 3, 4, LinkTo(XC1), 10, 1
            
            DlgText 4.5, 5, "L"
            DlgEdit 6, 4, LinkTo(gvDimLength), 3, 1
            
            DlgText 4.5, 9, "W"
            DlgEdit 6, 8, LinkTo(gvDimWidth), 3, 1
            
            DlgText 4.5, 13, "H"
            DlgEdit 6, 12, LinkTo(gvDimHeight), 3, 1
            
            DlgText 4.5, 17, "Box"
            Set kdvBoxDims = DbfSelect(CSWIN.ShipDir & "cs_dim.fil", , , 0)
            DlgDrop 6, 17, LinkTo(gvBox), 10, , kdvBoxDims, , "Populate_Dims"
            
            DlgButton 3, 18, "&Read Scale"
            DlgDefButton 9, 21, "&OK"
            If DlgDraw = "Read Scale" Then
                CSWIN.ReadScale
                XC1 = CSWIN.GetVar("xact_wgt")
            End If
        Wend
    Next
End Sub

Public Sub Populate_Dims()

    Dim kdvBoxDims As KiDataView

    Set kdvBoxDims = DbfSelect(CSWIN.ShipDir & "cs_dim.fil", "DESCRIPT = '" & gvBox & "'", , 0)
    gvDimLength = kdvBoxDims("LENGTH")
    gvDimWidth = kdvBoxDims("WIDTH")
    gvDimHeight = kdvBoxDims("HEIGHT")
    
    Set kdvBoxDims = Nothing
    
    DlgRedraw

    'Set kdvBoxDims = DbfSelect(CSWIN.ShipDir & "cs_dim.fil", , , 0)
    'DlgDrop 5, 17, LinkTo(XC1), 10, , kdvBoxDims, "Populate_Dims"

End Sub


